Word to EPUB changes size of Heading 2 style

Bug #1811616 reported by David Friedman on 2019-01-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Calibre 3.37, MacOS 10.12.6, Word for Mac 16.16.4

I am converting a book from docx to epub. The style for Heading 1 is Helvetica 14 point bold. The style for Heading 2 is Helvetica 12 point bold. In the EPub,headers that are Heading 2 in the Word document are much larger than headings in Header 1.

Compare, for example, the title of chapter 1 ("Imperial Chinese Law") with the first subhead ("The Law Code") The former should be larger, the latter is.

I attached two files, the word document and the epub document. But I am only seeing one listed below--the word document.

David Friedman (davidfriedman) wrote :

See https://manual.calibre-ebook.com/conversion.html#fonts

You can turn off font size rescaling if you want.

 status invalid

Changed in calibre:
status: New → Invalid

Thanks. I may try that.

But I don't see, from the manual, how it's possible for Header 1 to be
larger than Header 2 in my Word document (same font), and smaller than
Header 2 in the epub.

On 1/13/19 6:10 PM, Kovid Goyal wrote:
> See https://manual.calibre-ebook.com/conversion.html#fonts
>
> You can turn off font size rescaling if you want.
>
> status invalid
>
> ** Changed in: calibre
> Status: New => Invalid
>
--
David Friedman
www.daviddfriedman.com
http://daviddfriedman.blogspot.com/

Kovid Goyal (kovid) wrote :

That's just a quirk of the differences in the way styles are applied in
HTML and Word documents. It happens because you have defined your
Heading 2 style to have the same font size as your body text, change it
to say 11pt, and you will be fine.

On Mon, Jan 14, 2019 at 07:47:18AM -0000, David Friedman wrote:
> Thanks. I may try that.
>
> But I don't see, from the manual, how it's possible for Header 1 to be
> larger than Header 2 in my Word document (same font), and smaller than
> Header 2 in the epub.
>
> On 1/13/19 6:10 PM, Kovid Goyal wrote:
> > See https://manual.calibre-ebook.com/conversion.html#fonts
> >
> > You can turn off font size rescaling if you want.
> >
> > status invalid
> >
> > ** Changed in: calibre
> > Status: New => Invalid
> >
> --
> David Friedman
> www.daviddfriedman.com
> http://daviddfriedman.blogspot.com/
>
> --
> You received this bug notification because you are subscribed to
> calibre.
> https://bugs.launchpad.net/bugs/1811616
>
> Title:
> Word to EPUB changes size of Heading 2 style
>
> Status in calibre:
> Invalid
>
> Bug description:
> Calibre 3.37, MacOS 10.12.6, Word for Mac 16.16.4
>
> I am converting a book from docx to epub. The style for Heading 1 is
> Helvetica 14 point bold. The style for Heading 2 is Helvetica 12 point
> bold. In the EPub,headers that are Heading 2 in the Word document are
> much larger than headings in Header 1.
>
> Compare, for example, the title of chapter 1 ("Imperial Chinese Law")
> with the first subhead ("The Law Code") The former should be larger,
> the latter is.
>
> I attached two files, the word document and the epub document. But I
> am only seeing one listed below--the word document.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1811616/+subscriptions
>

--
_____________________________________

Dr. Kovid Goyal
https://www.kovidgoyal.net
https://calibre-ebook.com
_____________________________________

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Changed in calibre:
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers